Functions
Port Configuration
Peripheral Driver » LL Driver » GPIO » Functions
Collaboration diagram for Port Configuration:

## Functions
__STATIC_INLINE void | ll_gpio_set_pin_mode (gpio_regs_t *GPIOx, uint32_t pin_mask, uint32_t mode)
| Set several pins to input/output mode on dedicated port. More...
__STATIC_INLINE uint32_t | ll_gpio_get_pin_mode (gpio_regs_t *GPIOx, uint32_t pin)
| Return gpio mode for a dedicated pin on dedicated port. More...
__STATIC_INLINE void | ll_gpio_set_pin_pull (gpio_regs_t *GPIOx, uint32_t pin_mask, uint32_t pull)
| Configure gpio pull-up or pull-down for a dedicated pin on a dedicated port. More...
__STATIC_INLINE uint32_t | ll_gpio_get_pin_pull (gpio_regs_t *GPIOx, uint32_t pin)
| Return gpio pull-up or pull-down for a dedicated pin on a dedicated port. More...
__STATIC_INLINE void | ll_gpio_set_pin_mux (gpio_regs_t *GPIOx, uint32_t pin, uint32_t mux)
| Configure gpio pinmux number of a dedicated pin from 0 to 15 for a dedicated port. More...
__STATIC_INLINE uint32_t | ll_gpio_get_pin_mux (gpio_regs_t *GPIOx, uint32_t pin)
| Return gpio alternate function of a dedicated pin from 0 to 15 for a dedicated port. More...

## Detailed Description

## Function Documentation

## ◆ ll_gpio_get_pin_mode()

__STATIC_INLINE uint32_t ll_gpio_get_pin_mode | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin
| ) |  |

Return gpio mode for a dedicated pin on dedicated port.

Note
  I/O mode can be Input mode, General purpose output.
  Warning: only one pin can be passed as parameter.

Register | BitsName
--- | ---
OUTENSET | OUTENSET

Parameters

  GPIOx | GPIO Port
  pin | This parameter can be one of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15

Return values

  Returned | value can be one of the following values: LL_GPIO_MODE_INPUT LL_GPIO_MODE_OUTPUT

Definition at line 402 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_get_pin_mux()

__STATIC_INLINE uint32_t ll_gpio_get_pin_mux | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin
| ) |  |

Return gpio alternate function of a dedicated pin from 0 to 15 for a dedicated port.

Note
  Possible values are from AF0 to AF15 depending on target.

Register | BitsName
--- | ---
DPAD_MUX_CTRL8_15 | CTRL8_15
DPAD_MUX_CTRL24_31 | CTRL24_31

Parameters

  GPIOx | GPIO Port
  pin | This parameter can be one of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15

Return values

  Returned | value can be one of the following values: LL_GPIO_MUX_0 LL_GPIO_MUX_1 LL_GPIO_MUX_2 LL_GPIO_MUX_3 LL_GPIO_MUX_4 LL_GPIO_MUX_5 LL_GPIO_MUX_6 LL_GPIO_MUX_7 LL_GPIO_MUX_8

Definition at line 606 of file gr55xx_ll_gpio.h.

References LL_GPIO_PIN_8.

## ◆ ll_gpio_get_pin_pull()

__STATIC_INLINE uint32_t ll_gpio_get_pin_pull | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin
| ) |  |

Return gpio pull-up or pull-down for a dedicated pin on a dedicated port.

Note
  Warning: only one pin can be passed as parameter.

Register | BitsName
--- | ---
DPAD_RE_N_BUS | RE_N
DPAD_RTYP_BUS | RTYP

Parameters

  GPIOx | GPIO Port
  pin | This parameter can be one of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15

Return values

  Returned | value can be one of the following values: LL_GPIO_PULL_NO LL_GPIO_PULL_UP LL_GPIO_PULL_DOWN

Definition at line 487 of file gr55xx_ll_gpio.h.

References LL_GPIO_PULL_DOWN, LL_GPIO_PULL_NO, and LL_GPIO_PULL_UP.

## ◆ ll_gpio_set_pin_mode()

__STATIC_INLINE void ll_gpio_set_pin_mode | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask,
|  | uint32_t | mode
| ) |  |

Set several pins to input/output mode on dedicated port.

Register | BitsName
--- | ---
OUTENSET | OUTENSET
OUTENCLR | OUTENCLR

Parameters

  GPIOx | GPIO Port
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL
  mode | This parameter can be one of the following values: LL_GPIO_MODE_INPUT LL_GPIO_MODE_OUTPUT LL_GPIO_MODE_MUX

Return values

  None |

Definition at line 341 of file gr55xx_ll_gpio.h.

References LL_GPIO_MODE_INPUT, LL_GPIO_MODE_MUX, and LL_GPIO_MODE_OUTPUT.

## ◆ ll_gpio_set_pin_mux()

__STATIC_INLINE void ll_gpio_set_pin_mux | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin,
|  | uint32_t | mux
| ) |  |

Configure gpio pinmux number of a dedicated pin from 0 to 15 for a dedicated port.

Note
  Possible values are from AF0 to AF15 depending on target.
  Warning: only one pin can be passed as parameter.

Register | BitsName
--- | ---
DPAD_MUX_CTRL0_7 | CTRL0_7
DPAD_MUX_CTRL16_23 | CTRL16_23

Parameters

  GPIOx | GPIO Port
  pin | This parameter can be one of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15
  mux | This parameter can be one of the following values: LL_GPIO_MUX_0 LL_GPIO_MUX_1 LL_GPIO_MUX_2 LL_GPIO_MUX_3 LL_GPIO_MUX_4 LL_GPIO_MUX_5 LL_GPIO_MUX_6 LL_GPIO_MUX_7 LL_GPIO_MUX_8

Return values

  None |

Definition at line 543 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_set_pin_pull()

__STATIC_INLINE void ll_gpio_set_pin_pull | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask,
|  | uint32_t | pull
| ) |  |

Configure gpio pull-up or pull-down for a dedicated pin on a dedicated port.

Register | BitsName
--- | ---
DPAD_RE_N_BUS | RE_N
DPAD_RTYP_BUS | RTYP

Parameters

  GPIOx | GPIO Port
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15
  pull | This parameter can be one of the following values: LL_GPIO_PULL_NO LL_GPIO_PULL_UP LL_GPIO_PULL_DOWN

Return values

  None |

Definition at line 439 of file gr55xx_ll_gpio.h.

References LL_GPIO_PULL_NO, and LL_GPIO_PULL_UP.